lomiri::shell::notifications::Urgency Class Reference

Wraps NotificationInterface's urgency enumeration. More...

`#include <lomiri/shell/notifications/Enums.h>`

Inheritance diagram for lomiri::shell::notifications::Urgency:
[legend]
Collaboration diagram for lomiri::shell::notifications::Urgency:
[legend]

## Public Types

enum class | UrgencyEnum { Invalid = 0 , Low , Normal , Critical }
| NotificationInterface's urgency enumeration. More...

## Detailed Description

Wraps NotificationInterface's urgency enumeration.

## Member Enumeration Documentation

## UrgencyEnum

enum lomiri::shell::notifications::Urgency::UrgencyEnum

strong

NotificationInterface's urgency enumeration.

This determines the order in which notifications are displayed.

Enumerator
Low | Displayed last.
Normal | Displayed before Low, after Critical.
Critical | Displayed before Low and Normal.

The documentation for this class was generated from the following file:

- include/lomiri/shell/notifications/Enums.h